Bug 1163400 - [F21] ovirt-engine fails testing searchbackend.SyntaxCheckerTest
Summary: [F21] ovirt-engine fails testing searchbackend.SyntaxCheckerTest
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.6.0
Assignee: Eli Mesika
QA Contact: Pavel Stehlik
URL: http://jenkins.ovirt.org/job/ovirt-en...
Whiteboard: infra
Depends On:
Blocks: oVirt_Fedora_21_Support
TreeView+ depends on / blocked
 
Reported: 2014-11-12 15:54 UTC by Sandro Bonazzola
Modified: 2016-02-10 19:35 UTC (History)
9 users (show)

Fixed In Version: ovirt-engine-3.6.0-0.0.master.20150412172306.git55ba764
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 11:22:43 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 36282 master NEW core: fix search on fedora 21 Never

Description Sandro Bonazzola 2014-11-12 15:54:04 UTC
13:17:10 Results :
13:17:10 
13:17:10 Failed tests: 
13:17:10   testVm(org.ovirt.engine.core.searchbackend.SyntaxCheckerTest): 
expected:<...E  (  vms_with_tags.[vm_pool_name LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.run_on_vds_name LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.vm_fqdn LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.tag_name LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.guest_cur_user_name LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.vm_name LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.description LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.quota_name LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.vm_host LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.vm_ip LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.storage_pool_name LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.vds_group_name LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.free_text_comment] LIKE 
'%mac=00:1a:4a...> but was:<...E  (  vms_with_tags.[storage_pool_name LIKE '%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.quota_name LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.run_on_vds_name LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.free_text_comment LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.description LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.vds_group_name LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.vm_ip LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.vm_name LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.vm_fqdn LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.guest_cur_user_name LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.vm_host LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.vm_pool_name LIKE 
'%mac=00:1a:4a:d4:53:94%' OR  vms_with_tags.tag_name] LIKE 
'%mac=00:1a:4a...>

It fails on fedora 21 only. It passes on Fedora < 20 and EL6 / EL7

Comment 1 Sandro Bonazzola 2014-12-05 15:12:22 UTC
Question are:
 1) is the test wrong and the genereated SQL is valid?
  if so, please fix the test or drop it.
 2) if the generated SQL is not valid, why does it work in F20 and not in F21?
   2.1) is it working on F20 by mistake?
   2.2) is a F21 component bugged?
   2.3) is engine code using some deprecated syntax?

Comment 2 Pavel Stehlik 2015-04-27 11:13:50 UTC
Sandro, could you please again? THank you, P.

Comment 3 Sandro Bonazzola 2015-05-05 08:32:19 UTC
Verified not failing on F21 and F22.

Comment 4 Sandro Bonazzola 2015-11-04 11:22:43 UTC
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.


Note You need to log in before you can comment on or make changes to this bug.